Skip to content

Create Export Custom Object Job

POST /bulk/v1/customobjects/{apiName}/export/create.json

Permissions Read-Only Custom Object

Build a request and mock the response

Method: POST
Path: /bulk/v1/customobjects/{apiName}/export/create.json
Tag: Bulk Export Custom Objects
Operation ID: createExportCustomObjectsUsingPOST

Create export job for search criteria defined via "filter" parameter. Request returns the "exportId" which is passed as a parameter in subsequent calls to Bulk Export Custom Object endpoints. Use Enqueue Export Custom Object Job endpoint to queue the export job for processing. Use Get Export Custom Object Job Status endpoint to retrieve status of export job. Required Permissions: Read-Only Custom Object

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
apiName string Yes API Name of the custom object for the export batch job.

Request body

Name: exportCustomObjectRequest
Required: No
Schema: model: ExportCustomObjectRequest

exportCustomObjectRequest

ColumnHeaderNames: A JSON object containing key-value pairs of custom object attributes and column header names.

Example:
"columnHeaderNames":{
"attrName1":"value1",
"attrName2":"value2",
"attrName3":"value3"
}

Generated example

{
  "columnHeaderNames": {
    "name": "Example name",
    "value": "string"
  },
  "fields": [
    "string"
  ],
  "filter": {
    "updatedAt": {
      "endAt": "string",
      "startAt": "string"
    },
    "smartListId": 123,
    "smartListName": "Example name",
    "staticListId": 123,
    "staticListName": "Example name"
  },
  "format": "string"
}

Referenced models

Example request

POST {{base_url}}/bulk/v1/customobjects/{{apiName}}/export/create.json
Content-Type: application/json
Accept: application/json

{
  "columnHeaderNames": {
    "name": "Example name",
    "value": "string"
  },
  "fields": [
    "string"
  ],
  "filter": {
    "updatedAt": {
      "endAt": "string",
      "startAt": "string"
    },
    "smartListId": 123,
    "smartListName": "Example name",
    "staticListId": 123,
    "staticListName": "Example name"
  },
  "format": "string"
}

Responses

200 — OK

Schema: model: ResponseOfExportResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "errorMsg": "string",
      "exportId": "123",
      "fileSize": 123,
      "fileChecksum": "string",
      "finishedAt": "2026-01-15T10:30:00Z",
      "format": "string",
      "numberOfRecords": 123,
      "queuedAt": "2026-01-15T10:30:00Z",
      "startedAt": "2026-01-15T10:30:00Z",
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.